### File

`packages/eui/packages/components-next/src/lib/components/eui-dropdown/eui-dropdown.component.ts`

### Extends

`BaseDirective`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
selector | `eui-dropdown`
styleUrls | `./styles/_index.scss`
templateUrl | `./eui-dropdown.component.html`

### Index

###### Methods
onClicked
###### Inputs
e2eAttr tabIndex width
###### HostBindings
class

### Constructor

`constructor()`

### Inputs

e2eAttr
Default value : `'eui-dropdown'`

tabIndex
Default value : `-1`

width
Default value : `'auto'`

### HostBindings

class

### Methods

onClicked
`onClicked(event: Event)`
Parameters :
Name | Type | Optional
event | `Event` | No
Returns : `void`

# result-matching ""

# No results matching ""